import { ISelectOption } from '@metad/ocap-angular/core';
import { DisplayBehaviour } from '@metad/ocap-core';
import * as i0 from "@angular/core";
export declare class NgmDisplayBehaviourComponent {
    DISPLAY_BEHAVIOUR: typeof DisplayBehaviour;
    displayBehaviour: DisplayBehaviour | string;
    excludeSelected: boolean;
    readonly option: import("@angular/core").InputSignal<ISelectOption<any>>;
    readonly highlight: import("@angular/core").InputSignal<string | string[]>;
    isDisplayBehaviour: boolean;
    get isDescriptionAndId(): boolean;
    get isIdAndDescription(): boolean;
    get isDescriptionOnly(): boolean;
    get isAuto(): boolean;
    get noLabel(): boolean;
    readonly value: import("@angular/core").Signal<{
        value: string;
        match?: boolean;
    }[]>;
    readonly text: import("@angular/core").Signal<{
        value: string;
        match?: boolean;
    }[]>;
    static ɵfac: i0.ɵɵFactoryDeclaration<NgmDisplayBehaviourComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<NgmDisplayBehaviourComponent, "ngm-display-behaviour", never, { "displayBehaviour": { "alias": "displayBehaviour"; "required": false; }; "excludeSelected": { "alias": "excludeSelected"; "required": false; }; "option": { "alias": "option"; "required": false; "isSignal": true; }; "highlight": { "alias": "highlight"; "required": false; "isSignal": true; }; }, {}, never, never, true, never>;
}
